/*Standard laptops 1400px*/

@media (max-width: 88em) {
  .main-header {
    padding: 0 3.2rem;
  }

  .nav-list {
    gap: 2.4rem;
  }

  .heading-primary {
    font-size: 4.4rem;
  }

  .heading-secondary {
    font-size: 3.2rem;
  }

  .heading-teritary {
    font-size: 2.4rem;
  }

  .hero-content {
    max-width: 120rem;
  }

  .btn:link,
  .btn:visited {
    padding: 1.8rem 2.4rem;
  }
}

/*Standard landscape tablets 1300px*/

@media (max-width: 82em) {
  html {
    font-size: 56.25%;
  }

  .cta {
    grid-template-columns: 3fr 2fr;
  }
}

/*Standard potraits tablets 900-1200px*/

/*Standard potrait tablets 1200px*/

@media (max-width: 75em) {
  html {
    font-size: 50%;
  }

  .main-header {
    justify-content: space-between;
  }

  .menu-btn {
    display: block;
    z-index: 9999;
  }

  .nav-list {
    position: absolute;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(255, 255, 255, 0.9);
    backdrop-filter: blur(10px);
    /*Safari support*/
    -webkit-backdrop-filter: blur(10px);
    flex-direction: column;
    gap: 4.5rem;
    font-size: 3rem;
    font-weight: 700;
    visibility: hidden;
    pointer-events: none;
    opacity: 0;
    transform: translateX(100%);
    transition: all 0.4s ease-in;
    z-index: 900;
  }

  .nav-open .nav-list {
    transform: translateX(0);
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
  }

  .nav-open .menu-icon[name="grid-outline"] {
    display: none;
  }

  .nav-open .menu-icon[name="close-outline"] {
    display: block;
  }

  .nav-link:link,
  .nav-link:visited {
    font-size: 3rem;
    padding: 1.6rem 3.2rem;
  }
}

/*Below 1000px*/

@media (max-width: 63em) {
  html {
    font-size: 43.75%;
  }

  .hero-content {
    grid-template-columns: 1fr;
  }

  .line {
    display: none;
  }

  .btn:link,
  .btn:visited {
    padding: 1.6rem 3.2rem;
    font-size: 2.4rem;
  }

  .header-btn:link,
  .header-btn:visited {
    padding: 2rem 3.2rem;
    text-align: center;
  }

  .hero-text-box {
    padding: 4.8rem;
    text-align: center;
  }

  .section-testimonials {
    grid-template-columns: 1fr;
  }

  .table-container {
    padding: 3.2rem;
  }

  .cloud-table th,
  .cloud-table td {
    font-size: 1.8rem;
  }

  .plan-grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .plan-business {
    /*Αυτο διορθώνει τον όγκο από το span*/
    justify-self: start;
  }

  .plan-free {
    justify-self: end;
  }

  .plan-regular {
    grid-column: span 2;
    justify-self: center;
  }

  .cta {
    grid-template-columns: 1fr;
  }

  .cta-text-box .heading-secondary {
    margin-bottom: 4.8rem;
  }

  .cta-img-box {
    height: 30rem;
    grid-row: 1;
  }

  .cta-form {
    grid-template-columns: 1fr;
  }

  .btn-form {
    padding: 1.8rem;
    margin-top: 1.8rem;
    font-size: 2.4rem;
  }

  .main-footer {
    grid-template-columns: repeat(6, 1fr);
    row-gap: 4.8rem;
  }

  /*Για συντομία κάνουμε χρήση span*/
  .logo-col,
  .address-col {
    grid-column: span 3;
  }

  .nav-col {
    grid-column: span 2;
    grid-row: 1;
  }

  .logos {
    flex-direction: column;
    gap: 4.8rem;
  }
}

/*Phones 550px*/
@media (max-width: 35em) {
  .step-num,
  .line-time {
    display: none;
  }

  .grid--2-cols {
    grid-template-columns: 1fr;
  }

  .time-line-item {
    grid-template-columns: 1fr;
  }

  .step-text-box:nth-child(1) {
    grid-row: 3;
  }

  .testimonial {
    text-align: center;
  }

  .section-pricing {
    padding: 3.2rem;
  }

  .plan-grid {
    grid-template-columns: 1fr;
  }

  .plan-regular {
    grid-column: 1;
  }

  .plan {
    justify-self: center;
    width: 100%;
  }

  .plan:not(:last-child) {
    margin-bottom: 5.2rem;
  }

  .btn:link,
  .btn:visited {
    width: 90%;
    padding: 3.2rem;
  }

  .list-item {
    font-size: 2.4rem;
  }

  .btn--cta:link,
  .btn--cta:visited {
    margin-bottom: 4.8rem;
  }

  .hero-img-box:hover {
    transform: translateY(-1.2rem);
  }

  .table-container {
    padding: 0;
  }

  .cloud-table th,
  .cloud-table td {
    font-size: 1.6rem;
  }

  .testimonial-container {
    padding: 2.4rem;
  }
}
